Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class RankFilterOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.NeighbourhoodOp
                  |
                  +--com.pearsoneduc.ip.op.RankFilterOp

Direct Known Subclasses:
  MaximumFilterOp, MedianFilterOp, MinimumFilterOp

public class RankFilterOp
extends NeighbourhoodOp

Performs general rank filtering of a BufferedImage.

Version:
  1.0 [1999/07/23]
Author:
  Nick Efford

Field Summary
`protected int[]` | `neighbourhood` Array holding values from neighbourhood.
`protected int` | `rank` Rank of filter.

Fields inherited from class com.pearsoneduc.ip.op.NeighbourhoodOp
`borderStrategy, CIRCULAR_INDEXING, COPY_BORDER_PIXELS, height, NO_BORDER_OP, REFLECTED_INDEXING, size, width`

Constructor Summary
`RankFilterOp(int n)` Constructs a RankFilterOp with the specified rank.
`RankFilterOp(int n, int w, int h)` Constructs a RankFilterOp with the specified rank and neighbourhood dimensions.
`RankFilterOp(int n, int w, int h, int strategy)` Constructs a RankFilterOp with the specified rank, neighbourhood dimensions and border processing strategy.

Method Summary
`java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)` Performs a rank filtering operation on an image.
`int` | `getRank()`

Methods inherited from class com.pearsoneduc.ip.op.NeighbourhoodOp
`circIndex, copyBorders, getBorderStrategy, getHeight, getNumPixels, getWidth, refIndex`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rank

    protected int rank

  Rank of filter.

### neighbourhood

    protected int[] neighbourhood

  Array holding values from neighbourhood.

Constructor Detail

### RankFilterOp

    public RankFilterOp(int n)

  Constructs a RankFilterOp with the specified rank. The filter will operate in a 3x3 neighbourhood and will do no special border processing.
  Parameters:
    `n` - rank of filter

### RankFilterOp

    public RankFilterOp(int n,
                        int w,
                        int h)

  Constructs a RankFilterOp with the specified rank and neighbourhood dimensions. The filter will do no special border processing.
  Parameters:
    `n` - rank of filter
    `w` - width of neighbourhood
    `h` - height of neighbourhood

### RankFilterOp

    public RankFilterOp(int n,
                        int w,
                        int h,
                        int strategy)

  Constructs a RankFilterOp with the specified rank, neighbourhood dimensions and border processing strategy.
  Parameters:
    `n` - rank of filter
    `w` - width of neighbourhood
    `h` - height of neighbourhood
    `strategy` - border processing strategy

Method Detail

### getRank

    public int getRank()

  Returns:
    rank of filter.

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dest)

  Performs a rank filtering operation on an image.
  Parameters:
    `src` - source image
    `dest` - destination image, or null
  Returns:
    processed image.
  Overrides:
    filter in class StandardGreyOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD